Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class SetDomainRendererTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.SetDomainRendererTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class SetDomainRendererTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `fieldType`
`protected java.lang.String` | `sClassRenderer`
`protected java.lang.String` | `sDomainClassName`
`protected java.lang.String` | `sScope`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetDomainRendererTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setClassname(java.lang.String className)`
`void` | `setDomain(java.lang.String sValue)`
`void` | `setFieldtype(java.lang.String sType)`
`void` | `setScope(java.lang.String sValue)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldType

    protected java.lang.String fieldType

### sDomainClassName

    protected java.lang.String sDomainClassName

### sClassRenderer

    protected java.lang.String sClassRenderer

### sScope

    protected java.lang.String sScope

Constructor Detail

### SetDomainRendererTag

    public SetDomainRendererTag()

Method Detail

### setFieldtype

    public void setFieldtype(java.lang.String sType)

### setDomain

    public void setDomain(java.lang.String sValue)

### setClassname

    public void setClassname(java.lang.String className)

### setScope

    public void setScope(java.lang.String sValue)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.